#include "BottomOfTheStackSymbol.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace alphabet {

BottomOfTheStackSymbol::BottomOfTheStackSymbol() = default;

std::ostream & operator << ( std::ostream & out, const BottomOfTheStackSymbol & ) {
	return out << "(BottomOfTheStackSymbol)";
}

BottomOfTheStackSymbol::operator std::string ( ) const {
	return BottomOfTheStackSymbol::instance < std::string > ( );
}

} /* namespace alphabet */

namespace {

auto valuePrinter = registration::ValuePrinterRegister < alphabet::BottomOfTheStackSymbol > ( );

} /* namespace */
